{namespace n=GeorgRinger\News\ViewHelpers}
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:drk="Drk\Template\ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Pluswerk/PlusDrkBase/ViewHelpers"
      data-namespace-typo3-fluid="true">
<body>

<f:section name="content">
    <div class="c-news-slider__item o-slider__item">
        <n:excludeDisplayedNews newsItem="{newsItem}"/>
        <div class="o-slider__content">
            <div class="c-teaser   o-media o-media--stacked">
                <f:if condition="{newsItem.falMedia}">
                    <!-- fal media preview element -->
                    <f:then>
                        <f:if condition="{newsItem.falMediaPreviews}">
                            <f:then>
                                <div class="o-media__img o-media__img--fill">
                                    <f:alias map="{mediaElement: newsItem.falMediaPreviews.0}">
										<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
											<f:if condition="{mediaElement.originalResource.type} == 2">
                                                <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: mediaElement.uid, treatIdAsReference: 1, width: 660)}')}</f:variable>
                                                <f:variable name="imageAlt">{f:if(condition: mediaElement.originalResource.alternative, then: mediaElement.originalResource.alternative, else: newsItem.title)}</f:variable>
                                                <f:variable name="imageTitle">{f:if(condition: mediaElement.originalResource.title, then: mediaElement.originalResource.title, else: newsItem.title)}</f:variable>
												<img src="{f:uri.image(src: '{mediaElement.uid}', maxWidth: 479, width: 390, treatIdAsReference: 1)}"
													data-sizes="auto"
													data-src="{f:uri.image(src: '{mediaElement.uid}', maxWidth: 479, width: 390, treatIdAsReference: 1)}"
													data-srcset="{f:uri.image(src: '{mediaElement.uid}', maxWidth: 700, width: 660, treatIdAsReference: 1)} 660w,
																 {f:uri.image(src: '{mediaElement.uid}', maxWidth: 559, width: 500, treatIdAsReference: 1)} 480w"
                                                     {imageSize -> f:format.raw()}
                                                    alt="{imageAlt}"
                                                    title="{imageTitle}"
                                                    class="lazyload" />
                                                <noscript>
                                                    <img src="{f:uri.image(src: mediaElement.uid, treatIdAsReference: 1, width: 660)}"
                                                         {imageSize -> f:format.raw()}
                                                        alt="{imageAlt}"
                                                        title="{imageTitle}"
                                                        />
                                                </noscript>
											</f:if>
											<f:if condition="{mediaElement.originalResource.type} == 4">
												<f:media file="{mediaElement}"
														 alt="{mediaElement.originalResource.alternative}"
														 title="{mediaElement.originalResource.title}"
														 width="{settings.detail.media.image.maxWidth}"/>
											</f:if>
											<f:if condition="{mediaElement.originalResource.type} == 5">
												<f:media file="{mediaElement}"
														 alt="{mediaElement.originalResource.alternative}"
														 title="{mediaElement.originalResource.title}"
														 width="{settings.detail.media.image.maxWidth}"/>
											</f:if>
										</n:link>
                                    </f:alias>
                                </div>
                            </f:then>
                            <f:else>
                                <f:if condition="{settings.displayDummyIfNoMedia}">
                                    <div class="o-media__img o-media__img--fill"></div>
                                </f:if>
                            </f:else>
                        </f:if>
                    </f:then>
                    <f:else>
                        <f:if condition="{newsItem.media}">
                            <!-- media preview element -->
                            <f:then>
                                <f:if condition="{newsItem.mediaPreviews}">
                                    <f:then>
                                        <div class="o-media__img o-media__img--fill">
                                            <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                                                <f:if condition="{mediaElement.type} == 0">
                                                    <f:image src="{mediaElement.uid}"
                                                             title="{mediaElement.title}" alt="{mediaElement.alt}" width="{settings.detail.media.image.maxWidth}"/>
                                                </f:if>
                                                <f:if condition="{mediaElement.type} == 1">
                                                    <f:render partial="Detail/MediaVideo"
                                                              arguments="{mediaElement: mediaElement}"/>
                                                </f:if>
                                                <f:if condition="{mediaElement.type} == 2">
                                                    <f:render partial="Detail/MediaHtml"
                                                              arguments="{mediaElement: mediaElement}"/>
                                                </f:if>
                                            </f:alias>
                                        </div>
                                    </f:then>
                                    <f:else>
                                        <f:if condition="{settings.displayDummyIfNoMedia}">
                                            <div class="o-media__img o-media__img--fill"></div>
                                        </f:if>
                                    </f:else>
                                </f:if>
                            </f:then>
                            <f:else>
                                <f:if condition="{settings.displayDummyIfNoMedia}">
                                    <f:then>
                                        <div class="o-media__img o-media__img--fill"></div>
                                    </f:then>
                                </f:if>
                            </f:else>
                        </f:if>
                    </f:else>
                </f:if>
                <div class="c-teaser__content   o-media__body">
                    <div class="c-teaser__meta   o-meta">
						<span class="o-meta__date">
							<f:format.date format="{f:translate(key:'dateFormat')}">{newsItem.datetime}</f:format.date>
						</span>
                    </div>
                    <!-- header -->
                    <h3 class="c-teaser__title">
						<n:link newsItem="{newsItem}" settings="{settings}" class="o-cms-content__header-link"
                                title="{newsItem.title}">
                            {newsItem.title}
                        </n:link>
					</h3>
                    <!-- teaser -->
                    <p class="c-teaser__text">
                        <f:if condition="{newsItem.frsCountry}">
                            <span class="c-teaser__region">{newsItem.frsCountry}</span>
                        </f:if>

                        <f:if condition="{newsItem.teaser}">
                            <f:then>
                                {newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                                respectWordBoundaries:'1')-> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                            </f:then>
                            <f:else>
                                {newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                                respectWordBoundaries:'1')-> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                            </f:else>
                        </f:if>
                        <n:link newsItem="{newsItem}" settings="{settings}" class="c-teaser__link"
                                title="{newsItem.title}">
                            <f:translate extensionName="DrkTemplate" key="read_more"/>
                        </n:link>
                    </p>

                </div>
            </div>
        </div>
    </div>
</f:section>

</body>
</html>
